Upgrade Ruby to Version 2.5.2

Upgrade Ruby to Version 2.5.2

(security patches are included in 2.5.2)

From 86dbb91669a83a717061cc202ac0a56e79df84b4 Mon Sep 17 00:00:00 2001
From: Sam Saffron <sam.saffron@gmail.com>
Date: Thu, 18 Oct 2018 09:20:43 +1100
Subject: [PATCH] Upgrade Ruby to Version 2.5.2

(security patches are included in 2.5.2)

diff --git a/image/base/Dockerfile b/image/base/Dockerfile
index 9961aab..e2d88e6 100644
--- a/image/base/Dockerfile
+++ b/image/base/Dockerfile
@@ -67,12 +67,12 @@ RUN mkdir /jemalloc-new && cd /jemalloc-new &&\
 RUN echo 'gem: --no-document' >> /usr/local/etc/gemrc &&\
     mkdir /src && cd /src && git clone https://github.com/sstephenson/ruby-build.git &&\
     cd /src/ruby-build && ./install.sh &&\
-    cd / && rm -rf /src/ruby-build && (ruby-build 2.5.1 /usr/local)
+    cd / && rm -rf /src/ruby-build && (ruby-build 2.5.2 /usr/local)
 
 RUN gem update --system
 
 RUN gem install bundler --force &&\
-    rm -rf /usr/local/share/ri/2.5.1/system &&\
+    rm -rf /usr/local/share/ri/2.5.2/system &&\
     cd / && git clone https://github.com/discourse/pups.git
 
 ADD install-imagemagick /tmp/install-imagemagick

GitHub

1 Like